services:
  lua-preview-web:
    build:
      dockerfile: Dockerfile
    container_name: lua-preview-web
    working_dir: /workspace
    command: ["python3", "-m", "http.server", "8765"]
    environment:
      PYTHONDONTWRITEBYTECODE: "1"
      PYTHONUNBUFFERED: "1"
    ports:
      - "8765:8765"
    volumes:
      - .:/workspace:ro
    restart: unless-stopped
